FineTuningSessions
Create a fine-tuning session
Create a new fine-tuning session and allocate it to a GPU engine. The response contains a single session identifier and a request identifier to poll for session initialization.
標頭參數
Foundry-Features
enum
必要
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
查詢參數
api-version
string
必要
The API version to use for this operation.
要求本文
Configuration of the fine-tuning session to create.
type
string | enum
必要
Fine-tuning session type.
enum
base_model
string
必要
Base model to use for the new training session.
lora_config
SessionFineTuning.LoRAConfig
必要
LoRA adapter configuration. If optional settings are omitted, the service applies the defaults described below.
rank
integer
必要
Number of LoRA rank dimensions required by the service.
alpha
number
LoRA scaling factor (effective scale = alpha / rank). If omitted, the service defaults to 32.0.
seed
integer
Seed for LoRA weight initialisation. If omitted, the service picks a random seed and echoes it back.
freeze_vision_tower
boolean
Whether to freeze the vision tower during training. If omitted, the service defaults to true.
freeze_multi_modal_projector
boolean
Whether to freeze the multimodal projector during training. If omitted, the service defaults to true.
user_metadata
object | null
Caller-provided metadata whose values can be any JSON value.
from_checkpoint
SessionFineTuning.FineTuningFromCheckpoint | null
Training checkpoint to load while initializing the session, when provided.
source_session_id
string
必要
Identifier of the session containing the source training checkpoint.
checkpoint_id
string
必要
Identifier of the training checkpoint within the source session.
training_type
string | enum
Training tiers available for fine-tuning sessions.
enum
回覆
The request has succeeded.
主體
session_id
string
必要
Identifier of the newly created fine-tuning session.
type
string | enum
必要
Fine-tuning session type.
enum
base_model
string
必要
Base model used by the session.
lora_config
SessionFineTuning.LoRAConfig
必要
LoRA adapter configuration. If optional settings are omitted, the service applies the defaults described below.
rank
integer
必要
Number of LoRA rank dimensions required by the service.
alpha
number
LoRA scaling factor (effective scale = alpha / rank). If omitted, the service defaults to 32.0.
seed
integer
Seed for LoRA weight initialisation. If omitted, the service picks a random seed and echoes it back.
freeze_vision_tower
boolean
Whether to freeze the vision tower during training. If omitted, the service defaults to true.
freeze_multi_modal_projector
boolean
Whether to freeze the multimodal projector during training. If omitted, the service defaults to true.
status
string | enum
必要
Lifecycle status of a fine-tuning session. Uses the canonical fine-tuning job vocabulary for steady states and includes the initial created state returned during session creation.
enum
request_id
string
必要
Request identifier used to poll for session initialization.
info_message
string | null
Informational message associated with session creation, when available.
warning_message
string | null
Warning associated with session creation, when available.
user_metadata
object | null
Caller-provided metadata associated with the session.
Request
POST /fine_tuning/sessions HTTP/1.1
回應
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json